dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")

--[[
--Alignment Structure
local mpcd_align	= create_mpcd_textured_box( 0, 0, 1024, 1024, nil, nil, 0)
mpcd_align.name		= "mpcd_align"
mpcd_align.init_pos	= {0, 0, 0}
Add_MPCD_Element(mpcd_align)
--]]

-- Main Menu Text
local	mpcd_mm_btn_01				= CreateElement "ceStringPoly"
		mpcd_mm_btn_01.name			= "mpcd_mm_btn_01"
		mpcd_mm_btn_01.material		= mpcd_tpod_font
		mpcd_mm_btn_01.init_pos		= mpcd_btn_01_pos
		mpcd_mm_btn_01.alignment	= "CenterCenter"
		mpcd_mm_btn_01.value		= "F\nL\nI\nR"
		mpcd_mm_btn_01.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_01)

local	mpcd_mm_btn_02				= CreateElement "ceStringPoly"
		mpcd_mm_btn_02.name			= "mpcd_mm_btn_02"
		mpcd_mm_btn_02.material		= mpcd_tpod_font
		mpcd_mm_btn_02.init_pos		= mpcd_btn_02_pos
		mpcd_mm_btn_02.alignment	= "CenterCenter"
		mpcd_mm_btn_02.value		= "E\nH\nS\nD"
		mpcd_mm_btn_02.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_02)

local	mpcd_mm_btn_03				= CreateElement "ceStringPoly"
		mpcd_mm_btn_03.name			= "mpcd_mm_btn_03"
		mpcd_mm_btn_03.material		= mpcd_tpod_font
		mpcd_mm_btn_03.init_pos		= mpcd_btn_03_pos
		mpcd_mm_btn_03.alignment	= "CenterCenter"
		mpcd_mm_btn_03.value		= "D\nM\nT"
		mpcd_mm_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_03)

local	mpcd_mm_btn_04				= CreateElement "ceStringPoly"
		mpcd_mm_btn_04.name			= "mpcd_mm_btn_04"
		mpcd_mm_btn_04.material		= mpcd_tpod_font
		mpcd_mm_btn_04.init_pos		= mpcd_btn_04_pos
		mpcd_mm_btn_04.alignment	= "CenterCenter"
		mpcd_mm_btn_04.value		= "S\nT\nR\nS"
		mpcd_mm_btn_04.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_04)

local	mpcd_mm_btn_05				= CreateElement "ceStringPoly"
		mpcd_mm_btn_05.name			= "mpcd_mm_btn_05"
		mpcd_mm_btn_05.material		= mpcd_tpod_font
		mpcd_mm_btn_05.init_pos		= mpcd_btn_05_pos
		mpcd_mm_btn_05.alignment	= "CenterCenter"
		mpcd_mm_btn_05.value		= "H\nU\nD"
		mpcd_mm_btn_05.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local	mpcd_mm_btn_06				= CreateElement "ceStringPoly"
		mpcd_mm_btn_06.name			= "mpcd_mm_btn_06"
		mpcd_mm_btn_06.material		= mpcd_tpod_font
		mpcd_mm_btn_06.init_pos		= mpcd_btn_06_pos
		mpcd_mm_btn_06.alignment	= "CenterCenter"
		mpcd_mm_btn_06.value		= "BIT"
		mpcd_mm_btn_06.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_06)

local	mpcd_mm_btn_08				= CreateElement "ceStringPoly"
		mpcd_mm_btn_08.name			= "mpcd_mm_btn_08"
		mpcd_mm_btn_08.material		= mpcd_tpod_font
		mpcd_mm_btn_08.init_pos		= mpcd_btn_08_pos
		mpcd_mm_btn_08.alignment	= "CenterCenter"
		mpcd_mm_btn_08.value		= "VREST"
		mpcd_mm_btn_08.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_08.controllers	= {{"mm_nav"}}
Add_MPCD_Element(mpcd_mm_btn_08)

local	mpcd_mm_btn_11				= CreateElement "ceStringPoly"
		mpcd_mm_btn_11.name			= "mpcd_mm_btn_11"
		mpcd_mm_btn_11.material		= mpcd_tpod_font
		mpcd_mm_btn_11.init_pos		= mpcd_btn_11_pos
		mpcd_mm_btn_11.alignment	= "CenterCenter"
		mpcd_mm_btn_11.value		= "E\nN\nG"
		mpcd_mm_btn_11.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_11)

local	mpcd_mm_btn_12				= CreateElement "ceStringPoly"
		mpcd_mm_btn_12.name			= "mpcd_mm_btn_12"
		mpcd_mm_btn_12.material		= mpcd_tpod_font
		mpcd_mm_btn_12.init_pos		= mpcd_btn_12_pos
		mpcd_mm_btn_12.alignment	= "CenterCenter"
		mpcd_mm_btn_12.value		= "C\nO\nN\nF"
		mpcd_mm_btn_12.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_12)

local	mpcd_mm_btn_13				= CreateElement "ceStringPoly"
		mpcd_mm_btn_13.name			= "mpcd_mm_btn_13"
		mpcd_mm_btn_13.material		= mpcd_tpod_font
		mpcd_mm_btn_13.init_pos		= mpcd_btn_13_pos
		mpcd_mm_btn_13.alignment	= "CenterCenter"
		mpcd_mm_btn_13.value		= "T\nP\nO\nD"
		mpcd_mm_btn_13.stringdefs	= MPCD_default_font_size
		mpcd_mm_btn_13.controllers	= {{"mm_tpod"}}
Add_MPCD_Element(mpcd_mm_btn_13)

local	mpcd_mm_btn_14				= CreateElement "ceStringPoly"
		mpcd_mm_btn_14.name			= "mpcd_mm_btn_14"
		mpcd_mm_btn_14.material		= mpcd_tpod_font
		mpcd_mm_btn_14.init_pos		= mpcd_btn_14_pos
		mpcd_mm_btn_14.alignment	= "CenterCenter"
		mpcd_mm_btn_14.value		= "I\nF\nF"
		mpcd_mm_btn_14.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local	mpcd_mm_btn_15				= CreateElement "ceStringPoly"
		mpcd_mm_btn_15.name			= "mpcd_mm_btn_15"
		mpcd_mm_btn_15.material		= mpcd_tpod_font
		mpcd_mm_btn_15.init_pos		= mpcd_btn_15_pos
		mpcd_mm_btn_15.alignment	= "CenterCenter"
		mpcd_mm_btn_15.value		= "E\nW"
		mpcd_mm_btn_15.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local	mpcd_mm_btn_16				= CreateElement "ceStringPoly"
		mpcd_mm_btn_16.name			= "mpcd_mm_btn_16"
		mpcd_mm_btn_16.material		= mpcd_tpod_font
		mpcd_mm_btn_16.init_pos		= mpcd_btn_16_pos
		mpcd_mm_btn_16.alignment	= "CenterCenter"
		mpcd_mm_btn_16.value		= "CARD"
		mpcd_mm_btn_16.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local	mpcd_mm_btn_17				= CreateElement "ceStringPoly"
		mpcd_mm_btn_17.name			= "mpcd_mm_btn_17"
		mpcd_mm_btn_17.material		= mpcd_tpod_font
		mpcd_mm_btn_17.init_pos		= mpcd_btn_17_pos
		mpcd_mm_btn_17.alignment	= "CenterCenter"
		mpcd_mm_btn_17.value		= "CAS"
		mpcd_mm_btn_17.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local	mpcd_mm_btn_18				= CreateElement "ceStringPoly"
		mpcd_mm_btn_18.name			= "mpcd_mm_btn_18"
		mpcd_mm_btn_18.material		= mpcd_tpod_font
		mpcd_mm_btn_18.init_pos		= mpcd_btn_18_pos
		mpcd_mm_btn_18.alignment	= "CenterCenter"
		mpcd_mm_btn_18.value		= "EMER"
		mpcd_mm_btn_18.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local	mpcd_mm_btn_19				= CreateElement "ceStringPoly"
		mpcd_mm_btn_19.name			= "mpcd_mm_btn_19"
		mpcd_mm_btn_19.material		= mpcd_tpod_font
		mpcd_mm_btn_19.init_pos		= mpcd_btn_19_pos
		mpcd_mm_btn_19.alignment	= "CenterCenter"
		mpcd_mm_btn_19.value		= "SDAT"
		mpcd_mm_btn_19.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_19)

local	mpcd_mm_btn_20				= CreateElement "ceStringPoly"
		mpcd_mm_btn_20.name			= "mpcd_mm_btn_20"
		mpcd_mm_btn_20.material		= mpcd_tpod_font
		mpcd_mm_btn_20.init_pos		= mpcd_btn_20_pos
		mpcd_mm_btn_20.alignment	= "CenterCenter"
		mpcd_mm_btn_20.value		= "COMM"
		mpcd_mm_btn_20.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

--[[
local mpcd_mm_btn_01			= CreateElement "ceStringPoly"
mpcd_mm_btn_01.name				= "mpcd_mm_btn_01"
mpcd_mm_btn_01.material			= mpcd_tpod_font
mpcd_mm_btn_01.init_pos			= mpcd_btn_01_pos
mpcd_mm_btn_01.alignment		= "CenterCenter"
mpcd_mm_btn_01.value			= "X\nX\nX\nX"
mpcd_mm_btn_01.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_01)

local mpcd_mm_btn_02			= CreateElement "ceStringPoly"
mpcd_mm_btn_02.name				= "mpcd_mm_btn_02"
mpcd_mm_btn_02.material			= mpcd_tpod_font
mpcd_mm_btn_02.init_pos			= mpcd_btn_02_pos
mpcd_mm_btn_02.alignment		= "CenterCenter"
mpcd_mm_btn_02.value			= "X\nX\nX\nX"
mpcd_mm_btn_02.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_02)

local mpcd_mm_btn_03			= CreateElement "ceStringPoly"
mpcd_mm_btn_03.name				= "mpcd_mm_btn_03"
mpcd_mm_btn_03.material			= mpcd_tpod_font
mpcd_mm_btn_03.init_pos			= mpcd_btn_03_pos
mpcd_mm_btn_03.alignment		= "CenterCenter"
mpcd_mm_btn_03.value			= "X\nX\nX\nX"
mpcd_mm_btn_03.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_03)

local mpcd_mm_btn_04			= CreateElement "ceStringPoly"
mpcd_mm_btn_04.name				= "mpcd_mm_btn_04"
mpcd_mm_btn_04.material			= mpcd_tpod_font
mpcd_mm_btn_04.init_pos			= mpcd_btn_04_pos
mpcd_mm_btn_04.alignment		= "CenterCenter"
mpcd_mm_btn_04.value			= "X\nX\nX\nX"
mpcd_mm_btn_04.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_04)

local mpcd_mm_btn_05			= CreateElement "ceStringPoly"
mpcd_mm_btn_05.name				= "mpcd_mm_btn_05"
mpcd_mm_btn_05.material			= mpcd_tpod_font
mpcd_mm_btn_05.init_pos			= mpcd_btn_05_pos
mpcd_mm_btn_05.alignment		= "CenterCenter"
mpcd_mm_btn_05.value			= "X\nX\nX\nX"
mpcd_mm_btn_05.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_05)

local mpcd_mm_btn_06			= CreateElement "ceStringPoly"
mpcd_mm_btn_06.name				= "mpcd_mm_btn_06"
mpcd_mm_btn_06.material			= mpcd_tpod_font
mpcd_mm_btn_06.init_pos			= mpcd_btn_06_pos
mpcd_mm_btn_06.alignment		= "CenterCenter"
mpcd_mm_btn_06.value			= "XXXX"
mpcd_mm_btn_06.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_06)

local mpcd_mm_btn_07			= CreateElement "ceStringPoly"
mpcd_mm_btn_07.name				= "mpcd_mm_btn_07"
mpcd_mm_btn_07.material			= mpcd_tpod_font
mpcd_mm_btn_07.init_pos			= mpcd_btn_07_pos
mpcd_mm_btn_07.alignment		= "CenterCenter"
mpcd_mm_btn_07.value			= "XXXX"
mpcd_mm_btn_07.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_07)

local mpcd_mm_btn_08			= CreateElement "ceStringPoly"
mpcd_mm_btn_08.name				= "mpcd_mm_btn_08"
mpcd_mm_btn_08.material			= mpcd_tpod_font
mpcd_mm_btn_08.init_pos			= mpcd_btn_08_pos
mpcd_mm_btn_08.alignment		= "CenterCenter"
mpcd_mm_btn_08.value			= "XXXX"
mpcd_mm_btn_08.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_08)

local mpcd_mm_btn_09			= CreateElement "ceStringPoly"
mpcd_mm_btn_09.name				= "mpcd_mm_btn_09"
mpcd_mm_btn_09.material			= mpcd_tpod_font
mpcd_mm_btn_09.init_pos			= mpcd_btn_09_pos
mpcd_mm_btn_09.alignment		= "CenterCenter"
mpcd_mm_btn_09.value			= "XXXX"
mpcd_mm_btn_09.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_09)

local mpcd_mm_btn_10			= CreateElement "ceStringPoly"
mpcd_mm_btn_10.name				= "mpcd_mm_btn_10"
mpcd_mm_btn_10.material			= mpcd_tpod_font
mpcd_mm_btn_10.init_pos			= mpcd_btn_10_pos
mpcd_mm_btn_10.alignment		= "CenterCenter"
mpcd_mm_btn_10.value			= "XXXX"
mpcd_mm_btn_10.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_10)

local mpcd_mm_btn_11			= CreateElement "ceStringPoly"
mpcd_mm_btn_11.name				= "mpcd_mm_btn_11"
mpcd_mm_btn_11.material			= mpcd_tpod_font
mpcd_mm_btn_11.init_pos			= mpcd_btn_11_pos
mpcd_mm_btn_11.alignment		= "CenterCenter"
mpcd_mm_btn_11.value			= "X\nX\nX\nX"
mpcd_mm_btn_11.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_11)

local mpcd_mm_btn_12			= CreateElement "ceStringPoly"
mpcd_mm_btn_12.name				= "mpcd_mm_btn_12"
mpcd_mm_btn_12.material			= mpcd_tpod_font
mpcd_mm_btn_12.init_pos			= mpcd_btn_12_pos
mpcd_mm_btn_12.alignment		= "CenterCenter"
mpcd_mm_btn_12.value			= "X\nX\nX\nX"
mpcd_mm_btn_12.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_12)

local mpcd_mm_btn_13			= CreateElement "ceStringPoly"
mpcd_mm_btn_13.name				= "mpcd_mm_btn_13"
mpcd_mm_btn_13.material			= mpcd_tpod_font
mpcd_mm_btn_13.init_pos			= mpcd_btn_13_pos
mpcd_mm_btn_13.alignment		= "CenterCenter"
mpcd_mm_btn_13.value			= "X\nX\nX\nX"
mpcd_mm_btn_13.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_13)

local mpcd_mm_btn_14			= CreateElement "ceStringPoly"
mpcd_mm_btn_14.name				= "mpcd_mm_btn_14"
mpcd_mm_btn_14.material			= mpcd_tpod_font
mpcd_mm_btn_14.init_pos			= mpcd_btn_14_pos
mpcd_mm_btn_14.alignment		= "CenterCenter"
mpcd_mm_btn_14.value			= "X\nX\nX\nX"
mpcd_mm_btn_14.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_14)

local mpcd_mm_btn_15			= CreateElement "ceStringPoly"
mpcd_mm_btn_15.name				= "mpcd_mm_btn_15"
mpcd_mm_btn_15.material			= mpcd_tpod_font
mpcd_mm_btn_15.init_pos			= mpcd_btn_15_pos
mpcd_mm_btn_15.alignment		= "CenterCenter"
mpcd_mm_btn_15.value			= "X\nX\nX\nX"
mpcd_mm_btn_15.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_15)

local mpcd_mm_btn_16			= CreateElement "ceStringPoly"
mpcd_mm_btn_16.name				= "mpcd_mm_btn_16"
mpcd_mm_btn_16.material			= mpcd_tpod_font
mpcd_mm_btn_16.init_pos			= mpcd_btn_16_pos
mpcd_mm_btn_16.alignment		= "CenterCenter"
mpcd_mm_btn_16.value			= "XXXX"
mpcd_mm_btn_16.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_16)

local mpcd_mm_btn_17			= CreateElement "ceStringPoly"
mpcd_mm_btn_17.name				= "mpcd_mm_btn_17"
mpcd_mm_btn_17.material			= mpcd_tpod_font
mpcd_mm_btn_17.init_pos			= mpcd_btn_17_pos
mpcd_mm_btn_17.alignment		= "CenterCenter"
mpcd_mm_btn_17.value			= "XXXX"
mpcd_mm_btn_17.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_17)

local mpcd_mm_btn_18			= CreateElement "ceStringPoly"
mpcd_mm_btn_18.name				= "mpcd_mm_btn_18"
mpcd_mm_btn_18.material			= mpcd_tpod_font
mpcd_mm_btn_18.init_pos			= mpcd_btn_18_pos
mpcd_mm_btn_18.alignment		= "CenterCenter"
mpcd_mm_btn_18.value			= "XXXX"
mpcd_mm_btn_18.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local mpcd_mm_btn_19			= CreateElement "ceStringPoly"
mpcd_mm_btn_19.name				= "mpcd_mm_btn_19"
mpcd_mm_btn_19.material			= mpcd_tpod_font
mpcd_mm_btn_19.init_pos			= mpcd_btn_19_pos
mpcd_mm_btn_19.alignment		= "CenterCenter"
mpcd_mm_btn_19.value			= "XXXX"
mpcd_mm_btn_19.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_19)

local mpcd_mm_btn_20			= CreateElement "ceStringPoly"
mpcd_mm_btn_20.name				= "mpcd_mm_btn_20"
mpcd_mm_btn_20.material			= mpcd_tpod_font
mpcd_mm_btn_20.init_pos			= mpcd_btn_20_pos
mpcd_mm_btn_20.alignment		= "CenterCenter"
mpcd_mm_btn_20.value			= "XXXX"
mpcd_mm_btn_20.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_20)

local mpcd_btn_06_boxed		= create_mpcd_textured_box( 60, 4, 175, 50)
mpcd_btn_06_boxed.name		= "mpcd_btn_06_boxed"
mpcd_btn_06_boxed.init_pos	= mpcd_btn_06_pos
Add_MPCD_Element(mpcd_btn_06_boxed)

local mpcd_btn_07_boxed		= create_mpcd_textured_box( 60, 4, 175, 50)
mpcd_btn_07_boxed.name		= "mpcd_btn_07_boxed"
mpcd_btn_07_boxed.init_pos	= mpcd_btn_07_pos
Add_MPCD_Element(mpcd_btn_07_boxed)

local mpcd_btn_08_boxed		= create_mpcd_textured_box( 60, 4, 175, 50)
mpcd_btn_08_boxed.name		= "mpcd_btn_08_boxed"
mpcd_btn_08_boxed.init_pos	= mpcd_btn_08_pos
Add_MPCD_Element(mpcd_btn8_boxed)

local mpcd_btn_09_boxed		= create_mpcd_textured_box( 60, 4, 175, 50)
mpcd_btn_09_boxed.name		= "mpcd_btn_09_boxed"
mpcd_btn_09_boxed.init_pos	= mpcd_btn_09_pos
Add_MPCD_Element(mpcd_btn_09_boxed)

local mpcd_btn_10_boxed		= create_mpcd_textured_box( 60, 4, 175, 50)
mpcd_btn_10_boxed.name		= "mpcd_btn_10_boxed"
mpcd_btn_10_boxed.init_pos	= mpcd_btn_10_pos
Add_MPCD_Element(mpcd_btn_10_boxed)


--]]